import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

/**
 * Classe de test pour les couleurs des dames
 */
public class TestDame {
    @Parameterized.Parameter
    protected Dame dameB;
    @Parameterized.Parameter
    protected Dame dameN;

    /**
     * Méthode pour initialiser les différentes pièces
     */
    @Before
    public void setUP(){
        dameB = new Dame(Piece.BLANC);
        dameN = new Dame(Piece.NOIR);
    }

    /**
     * Méthode After
     */
    @After
    public void tearDown(){
    }

    /**
     * Méthode de test pour savoir si les dames existent avec une couleur
     * @throws Exception
     */
    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", dameB.getCoul());
        Assert.assertEquals("N", dameN.getCoul());
    }

}