import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

/**
 * Classe de test pour les couleurs des rois
 */
public class TestRoi {
    @Parameterized.Parameter
    protected Roi roiB;
    @Parameterized.Parameter
    protected Roi roiN;

    /**
     * Méthode pour initialiser les différentes pièces
     */
    @Before
    public void setUP(){
        roiB = new Roi(Piece.BLANC);
        roiN = new Roi(Piece.NOIR);
    }

    /**
     * Méthode After
     */
    @After
    public void tearDown(){
    }

    /**
     * Méthode de test pour savoir si les rois existent avec une couleur
     * @throws Exception
     */
    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", roiB.getCoul());
        Assert.assertEquals("N", roiN.getCoul());
    }

}