import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;


/**
 * Classe de test pour les couleurs des tours
 */
public class TestTour {
    @Parameterized.Parameter
    protected Tour tourB;
    @Parameterized.Parameter
    protected Tour tourN;

    /**
     * Méthode pour initialiser les différentes pièces
     */
    @Before
    public void setUP(){
        tourB = new Tour(Piece.BLANC);
        tourN = new Tour(Piece.NOIR);
    }

    /**
     * Méthode After
     */
    @After
    public void tearDown(){
    }

    /**
     * Méthode de test pour savoir si les tours existent avec une couleur
     * @throws Exception
     */
    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", tourB.getCoul());
        Assert.assertEquals("N", tourN.getCoul());
    }

}
